Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl
Class BeanReportDataSourceServiceFactory

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl.BeanReportDataSourceServiceFactory

All Implemented Interfaces:
  ReportDataSourceServiceFactory, org.springframework.context.ApplicationContextAware

    public class BeanReportDataSourceServiceFactory

extends java.lang.Object
implements ReportDataSourceServiceFactory, org.springframework.context.ApplicationContextAware

Author:
  swood

Constructor Summary
`BeanReportDataSourceServiceFactory()`

Method Summary
`ReportDataSourceService` | `createService(ReportDataSource reportDataSource)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanReportDataSourceServiceFactory

    public BeanReportDataSourceServiceFactory()

Method Detail

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext arg0)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

### createService

    public ReportDataSourceService createService(ReportDataSource reportDataSource)

  Specified by:
    `createService` in interface `ReportDataSourceServiceFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.